#!/bin/sh
yum install keepalived -y

printf '! Configuration File for keepalived
vrrp_instance VI_1 {
state BACKUP           #Set ECS2 as the secondary instance.
    interface eth0          #Set the interface name, e.g. eth0.
    virtual_router_id 51
    nopreempt
    priority 10             #Set the priority for the secondary ECS instance, e.g. 10. The larger the number, the higher the priority.
    advert_int 1
    authentication {
        auth_type PASS
        auth_pass 1111
    }
    unicast_src_ip 192.168.0.26   #Set the private IP address for the secondary ECS instance, e.g. 192.168.0.26.
    unicast_peer {
        192.168.0.25           #Set the private IP address for the peer ECS instance, e.g. 192.168.0.25.
    }
    virtual_ipaddress {
        192.168.0.24          #Set the IP address for HaVip, e.g. 192.168.0.24.
    }
    garp_master_delay 1
    garp_master_refresh 5

    track_interface {
        eth0                #Set the interface name, e.g. eth0.
    }
}' > /etc/keepalived/keepalived.conf
systemctl start keepalived

echo "ECS 2" > index.html
python3 -m http.server 8000
